diff --git a/fesvr/encoding.h b/fesvr/encoding.h
index c109ce1..30f667d 100644
--- a/fesvr/encoding.h
+++ b/fesvr/encoding.h
@@ -150,11 +150,11 @@
 #define IRQ_COP      12
 #define IRQ_HOST     13
 
-#define DEFAULT_RSTVEC     0x00001000
+#define DEFAULT_RSTVEC     0xf3000000
 #define CLINT_BASE         0x02000000
 #define CLINT_SIZE         0x000c0000
 #define EXT_IO_BASE        0x40000000
-#define DRAM_BASE          0x80000000
+#define DRAM_BASE          0x20000000
 
 // page table entry (PTE) fields
 #define PTE_V     0x001 // Valid
